<!DOCTYPE html>
<!--[if lt IE 7]>
<html class="no-js lt-ie9 lt-ie8 lt-ie7">
<![endif]-->
<!--[if IE 7]>
<html class="no-js lt-ie9 lt-ie8">
<![endif]-->
<!--[if IE 8]>
<html class="no-js lt-ie9">
<![endif]-->
<!--[if gt IE 8]><!-->
<html class="no-js" <?php language_attributes(); ?>>
<!--<![endif]-->
<head>
<meta charset="<?php bloginfo( 'charset' ); ?>" />
<meta name="viewport" content="width=device-width">
<link rel="profile" href="http://gmpg.org/xfn/11" />
<link rel="pingback" href="<?php bloginfo( 'pingback_url' ); ?>" />
<?php wp_head(); ?>
</head>
<body <?php body_class(); ?>>
<a class="screen-reader-text" href="#primary" title="<?php esc_attr_e( 'Skip to content', 'amp' ); ?>"><?php _e( 'Skip to content', 'amp' ); ?></a>
<div class="wrapper">
    <div class="amp">
        <div class="site-nav">
	    <?php if( has_nav_menu( 'primary' )) : ?>

	        <nav id="access">
		    <?php wp_nav_menu( array( 'theme_location' => 'primary' ) ); ?>
	        </nav>
		<?php else : ?>

		<nav id="access">
                <ul>
                    <li class="menu-item"><a href="<?php esc_url( home_url( '/' ) ); ?>" title="<?php bloginfo('name'); ?>"><?php _e( 'Volume', 'amp' ); ?></a></li> 
                    <li class="menu-item"><a href="<?php esc_url( home_url( '/' ) ); ?>" title="<?php bloginfo('name'); ?>"><?php _e( 'Tone', 'amp' ); ?></a></li> 
                </ul>
		</nav>
		
	        <?php endif; ?>

	    <?php if( has_nav_menu( 'secondary' )) : ?>
	    
                <div class="select-menu">
                    <button id="toggle" class="t-button button-glow" title="&#8648; / &#8650;"> <i class="fa fa-play-circle"></i> </button>
                        <nav id="nav">
                            <div class="span toggle">
                                <div class="toggleline">
                                
                                    <?php wp_nav_menu( array( 'theme_location' => 'secondary' ) ); ?>
                                    
                                </div>
                            </div>
			</nav>
                </div>
                
                <?php else : ?>

                <div class="no-menu"></div>
                
	    <?php endif; ?> 

                    <div class="alignright led-glow glow" id="led"></div><div class="clearfix"></div>
        </div><!-- ends site-nav -->

            <header class="site-header">
	        <div class="hgroup">
		    <h1 class="site-title"><a href="<?php echo esc_url( home_url() ); ?>/"><?php bloginfo('name'); ?></a></h1> 
	            <h2 class="site-description"><?php bloginfo('description'); ?></span></h2>
		</div>
                    <figure class="logo">
<a href="<?php echo esc_url( home_url() ); ?>" title="<?php echo esc_attr( get_bloginfo( 'name', 'display' ) ); ?>" rel="home"><img id="header-img" src="<?php header_image(); ?>" width="<?php echo get_custom_header()->width; ?>" height="<?php echo get_custom_header()->height; ?>" alt="" /></a> 
                    </figure>                                
            </header>
    </div><!-- ends amp -->
        <div class="feet"></div>